Name:           perl-Unicode-LineBreak
Version:        2019.001
Release:        5
Summary:        An algorithm for unicode line breaking
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Unicode-LineBreak
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEZUMI/Unicode-LineBreak-%{version}.tar.gz

BuildRequires:  libthai-devel coreutils findutils make perl-interpreter perl-devel
BuildRequires:  perl-generators perl(Config) perl(ExtUtils::MakeMaker) perl(strict)
BuildRequires:  pkgconfig sed sombok-devel perl(Carp) perl(constant) perl(Encode) >= 1.98
BuildRequires:  perl(Exporter) perl(overload) perl(strict) perl(vars) perl(warnings)
BuildRequires:  perl(XSLoader) perl(Test::More) >= 0.45
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version)) perl(Encode) >= 1.98

%{?filter_setup:
%filter_from_requires /perl(Unicode::LineBreak::Constants)/d
%filter_from_provides /^perl(Unicode::LineBreak)$/d
}
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Unicode::LineBreak::Constants\\)
%global __requires_exclude %__requires_exclude|^perl\\(constant\\)\s*$
%global __requires_exclude %__requires_exclude|^perl\\(Encode\\)\s*$
%global __requires_exclude %__requires_exclude|^perl\\(MIME::Charset\\)\s*$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Unicode::LineBreak\\)$

%description
Unicode defines several characters as providing vertical whitespace, like the carriage return or
newline characters. Unicode also gathers several characters under the banner of a linebreak sequence.
A Unicode linebreak matches the two-character CRLF grapheme or any of the seven vertical whitespace
characters.

%package help
Summary:       Help documents for perl-Unicode-LineBreak package

%description help
Help documents for perl-Unicode-LineBreak package.

%prep
%autosetup -n Unicode-LineBreak-%{version} -p1
rm -rf sombok
sed -i -e '/^sombok/d' MANIFEST

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

install -d  $RPM_BUILD_ROOT%{_mandir}/ja/man3
for mod in Text::LineFold Unicode::GCString Unicode::LineBreak; do
  mv $RPM_BUILD_ROOT%{_mandir}/man3/POD2::JA::$mod.3pm \
     $RPM_BUILD_ROOT%{_mandir}/ja/man3/$mod.3pm
done

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license ARTISTIC GPL
%{perl_vendorarch}/{auto/*,Unicode*,Text,POD2}

%files help
%doc Changes Changes.REL1 README Todo.REL1
%{_mandir}/man3/*
%{_mandir}/ja/man3/*

%changelog
* Fri Jan 10 2020 wutao <wutao61@huawei.com> - 2019.001-5
- Package init
